<?php
include_once("c_debug.php");
class c_page_cab_debug_upload_XLS extends c_page_cab_debug
{
  public $h1='Загрузка XLS в базу' ;

  function block_main()
  { $this->page_title() ;
    $this->panel_file_upload() ;
    //damp_array($_POST);
    if (_sizeof($_POST['upload_files'])) foreach($_POST['upload_files'] as $fname)
    {
      if (file_exists(_TEMP_DIR.'/'.$fname))
      {
        include_once(_DIR_EXT.'/esmo_gateway/i_xls_to_db_import.php') ;
        $XLS_to_DB = new i_xls_to_db_import() ;
        $XLS_to_DB->XLS_fname=hide_server_dir(_TEMP_DIR.$fname) ;  // /temp/0_a34d0deb97e04aa9409668dddf7666f6.xlsx
        $XLS_to_DB->row_header=1;  // заголовки - строка 1
        $XLS_to_DB->use_only_column_letter=0 ; //  в таблице использовать в качестве названий столбцов буквы A B C D
        $res=$XLS_to_DB->import() ;
        //damp_array($res) ;
        if ($res['success'])
        {  echo 'Файл загружен в таблицу: <strong>'.$XLS_to_DB->table.'</strong><br>' ;
           ?><strong>Прочитанный файл XLS, первые 10 строк с данными</strong><?
           $recs=execSQL('select * from '.$XLS_to_DB->table) ;
           print_2x_arr($recs) ;
        }
      }
      else echo 'Файл не найден: '.$fname.'<br>' ;
    }
  }

  function panel_file_upload()
  {   ?><form action="" method="POST" enctype="multipart/form-data"><?
      include(_DIR_EXT.'/upload_files/panel_upload_files.php')  ;
      panel_upload_files(array('text'=>'Перетяните и отпустите сюда<br>файл XLS','extFilter'=>'xlsx','SendFormOnUploadSuccess'=>1)) ;
      ?><input type="hidden" name="cmd" value="upload_file">
        <input type="submit" class="v1" style="display:none;" cmd="upload_PMO_data_exec" value="Импортировать данные ПМО в базу">
      </form><?
      /*panel_upload_files(array('text'=>'Перетяните и отпустите сюда<br>файл XLS',
          'upload_url'=>'/services/aspmo_debug/upload_xls_file/',
          'file_filter'=>'xls;xlsx',
          //'style_panel'=>'margin:0;',
          'SendFormOnUploadSuccess'=>0,
          'view_debug_panel'=>1,
          'style_panel'=>'width:600px;margin:20px auto;',
      )) ;*/
  }


}



?>
